# typedef FunctionArg

#### package haxe.macro

#### import haxe.macro.Expr

Available on all platforms

Represents a function argument in the AST.

### Properties

###

`meta:Null<Metadata>`

The metadata of the function argument.

###

`name:String`

The name of the function argument.

###

`opt:Null<Bool>`

Whether or not the function argument is optional.

###

`type:Null<ComplexType>`

The type-hint of the function argument, if available.

###

`value:Null<Null<Expr>>`

The optional value of the function argument, if available.